/*
 * Copyright 2004 Freescale Semiconductor.
 *
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

#ifndef __PQ37PC_H_
#define __PQ37PC_H_

/*
 * Returns prompt.
 */
extern char* get_prompt(void);
/*
 * Returns either 33333334 or 66666667 as the SYS_CLK_FREQ.
 */
extern unsigned long get_clock_freq(void);

extern int board_early_init_f (void);

extern void reset_phy(void);

extern void local_bus_init(void);
extern void sdram_init(void);
extern long int fixed_sdram(sys_info_t*);

extern void pci_init_board(void);

#endif	
